List Cards Transactions

Returns a list of issuing transaction objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🧪

In the sandbox environment, you can use the
Simulate Authorization
endpoint to create mock transactions for testing purposes.

Transaction Type Mapping between API and Reports

The following table shows how report transaction types correspond to API response enums.

API Response EnumReport Enum
AUTHORIZATIONAuthorization
REFUNDRefund
FUND COLLECTIONFund Collection
ATM DEPOSITN/A
REVERSALReversal
VALIDATIONN/A
SETTLEMENT DEBITSettlement_Debit
SETTLEMENT CREDITSettlement_Credit
SETTLEMENT REVERSALSettlement_Reversal
CHARGEBACK DEBITChargeback_debit
CHARGEBACK CREDITChargeback_credit
Query Params
integer
required
10 to 100
Defaults to 10

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

integer
required
≥ 1
Defaults to 1

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

uuid

Universally unique identifier (UUID v4) of a card.

string

The earliest transaction creation time to filter by. The maximum time interval between start_time and end_time is 90 days.

string

The latest transaction creation time to filter by. The maximum time interval between start_time and end_time is 90 days.

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json